VismaBouwsoftAPICalls.v1_GET_LoanedMachines Method
v1_GET_LoanedMachines() as String

This API call is used to get fields of a(n) LoanedMachine(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /LoanedMachines/
or
API Path: /LoanedMachines/{id}
or
API Path: /LoanedMachines/{id}/image
or
API Path: /LoanedMachines/{id}/note_html
or
API Path: /LoanedMachines/{id}/note_plain
or
API Path: /LoanedMachines/{id}/note_rtf
or
API Path: /LoanedMachines/FieldInfo/

You can make this API call:
* without the key field id to get a list of LoanedMachines
* with the key field id as the path parameter (the specific id of the LoanedMachine you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
date_from tpDate 0 No No No
date_to tpDateNullString 0 No No No
days_loaned tpLong 0 No No No
days_late tpLong 0 No No No
returned tpBool 0 No No No
machine_id tpLong 0 No No No
machine_nr tpString 50 No No No
machine_description tpString 100 No No No
guarantee tpCurrency 0 No No No
price_per_day tpCurrency 0 No No No
invoice_id tpLong 0 No No No
invoice_nr tpLong 0 No No No
address_id tpLong 0 No No No Addresses
address_salutation tpString 50 No No No
address_name tpString 150 No No No
address_address tpString 63 No No No
address_addressline2 tpString 63 No No No
address_latitude tpDouble 0 No No No
address_longitude tpDouble 0 No No No
address_countrycode tpString 2 No No No
address_zipcode tpString 15 No No No
address_city tpString 40 No No No
address_state tpString 40 No No No
address_telephone1 tpTelefoon 25 No No No
address_telephone2 tpTelefoon 25 No No No
address_fax tpFax 25 No No No
address_gsm tpTelefoon 25 No No No
address_email tpEmail 100 No No No
contact_id tpLong 0 No No No AddressContacts
contact_salutation tpString 50 No No No
contact_name tpString 100 No No No
project_id tpLong 0 No No No Projects
project_pnr tpLong 0 No No No
project_unr tpLong 0 No No No
project_name tpString 100 No No No
yourreference tpString 50 No No No
be_werkplaatsnr30bis tpString 50 No No No
ts_lastupdate tpDate 0 No No No

/LoanedMachines/

API Path: /LoanedMachines/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: OlGfWxflfVzSffmODtzRqjjIfmVVIOtGjmGtzDtbAGfGDVIVlD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: nextid, ParameterValue:

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/148”, “Records”: [
  {
    "id": 1,
    "date_from": "2012–05–22",
    "date_to": "2012–05–25",
    "days_loaned": 4,
    "days_late": 0,
    "returned": true,
    "machine_id": 4,
    "machine_nr": "1703 Minigraver",
    "machine_description": "Wacker Neuson 1703 Minigraver",
    "guarantee": 0.0,
    "price_per_day": 0.0,
    "invoice_id": 0,
    "invoice_nr": 0,
    "address_id": 0,
    "address_salutation": "",
    "address_name": "",
    "address_address": "",
    "address_addressline2": "",
    "address_latitude": 0,
    "address_longitude": 0,
    "address_countrycode": "",
    "address_zipcode": "",
    "address_city": "",
    "address_state": "",
    "address_telephone1": "",
    "address_telephone2": "",
    "address_fax": "",
    "address_gsm": "",
    "address_email": "",
    "contact_id": 0,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 5,
    "project_pnr": 20180154,
    "project_unr": 4,
    "project_name": "Project: Photo Decoration",
    "yourreference": "Pestana UK 76993–215",
    "be_werkplaatsnr30bis": "",
    "ts_lastupdate": "2026–02–22 11:50:10"
  },
  {
    "id": 2,
    "date_from": "2013–12–13",
    "date_to": "",
    "days_loaned": 0,
    "days_late": 0,
    "returned": true,
    "machine_id": 6,
    "machine_nr": "CA.01",
    "machine_description": "Camion met open laadbak (GWB–057)",
    "guarantee": 0.0,
    "price_per_day": 0.0,
    "invoice_id": 0,
    "invoice_nr": 0,
    "address_id": 1755,
    "address_salutation": "",
    "address_name": "PETER COX",
    "address_address": "NEERLANDWEG 24B",
    "address_addressline2": "",
    "address_latitude": 0,
    "address_longitude": 0,
    "address_countrycode": "BE",
    "address_zipcode": "2610",
    "address_city": "Wilrijk (Antwerpen)",
    "address_state": "Antwerpen",
    "address_telephone1": "+32 3 830 40 19 ",
    "address_telephone2": "",
    "address_fax": "",
    "address_gsm": "+32 495 29 97 42 ",
    "address_email": "",
    "contact_id": 1755,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 755,
    "project_pnr": 20170001,
    "project_unr": 0,
    "project_name": "",
    "yourreference": "",
    "be_werkplaatsnr30bis": "",
    "ts_lastupdate": "2026–02–22 11:50:10"
  }
,

]
}

https://ra.bouwsoft.be/api/v1/LoanedMachines

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: OlGfWxflfVzSffmODtzRqjjIfmVVIOtGjmGtzDtbAGfGDVIVlD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: filter, ParameterValue: days_loaned gt 2000
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–58/59”, “Records”: [
  {
    "id": 14,
    "date_from": "2015–08–24",
    "date_to": "2023–01–05",
    "days_loaned": 2692,
    "days_late": 0,
    "returned": true,
    "machine_id": 68,
    "machine_nr": "01.03",
    "machine_description": "Uurtarief kraan + operator K31/35 bijkomend uur",
    "guarantee": 0.0,
    "price_per_day": 80.0,
    "invoice_id": 0,
    "invoice_nr": 0,
    "address_id": 0,
    "address_salutation": "",
    "address_name": "",
    "address_address": "",
    "address_addressline2": "",
    "address_latitude": 0,
    "address_longitude": 0,
    "address_countrycode": "",
    "address_zipcode": "",
    "address_city": "",
    "address_state": "",
    "address_telephone1": "",
    "address_telephone2": "",
    "address_fax": "",
    "address_gsm": "",
    "address_email": "",
    "contact_id": 0,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 0,
    "project_pnr": 0,
    "project_unr": 0,
    "project_name": "",
    "yourreference": "",
    "be_werkplaatsnr30bis": "",
    "ts_lastupdate": "2026–02–22 11:50:10"
  },
  {
    "id": 19,
    "date_from": "2016–02–01",
    "date_to": "2023–01–05",
    "days_loaned": 2531,
    "days_late": 0,
    "returned": true,
    "machine_id": 80,
    "machine_nr": "01.15",
    "machine_description": "Veiligheidsnetten (forfait tot 1000m²)",
    "guarantee": 0.0,
    "price_per_day": 0.0,
    "invoice_id": 0,
    "invoice_nr": 0,
    "address_id": 0,
    "address_salutation": "",
    "address_name": "Andy Averechts",
    "address_address": "Hogeweg 37",
    "address_addressline2": "",
    "address_latitude": 51.204320000000003,
    "address_longitude": 3.20211,
    "address_countrycode": "BE",
    "address_zipcode": "8200",
    "address_city": "Brugge",
    "address_state": "West-Vlaanderen",
    "address_telephone1": "",
    "address_telephone2": "",
    "address_fax": "",
    "address_gsm": "",
    "address_email": "",
    "contact_id": 0,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 0,
    "project_pnr": 0,
    "project_unr": 0,
    "project_name": "",
    "yourreference": "",
    "be_werkplaatsnr30bis": "",
    "ts_lastupdate": "2026–02–22 11:50:10"
  }
,

]
}

/LoanedMachines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/4

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: OlGfWxflfVzSffmODtzRqjjIfmVVIOtGjmGtzDtbAGfGDVIVlD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 4,
    "date_from": "2014–12–01",
    "date_to": "2019–06–24",
    "days_loaned": 1667,
    "days_late": 0,
    "returned": true,
    "machine_id": 66,
    "machine_nr": "01.01",
    "machine_description": "Dagprijs kraan + operator K31/35 ( forfait van 8u ter plaatse, incl. 1u verplaatsing)",
    "guarantee": 0.0,
    "price_per_day": 240.0,
    "invoice_id": 0,
    "invoice_nr": 0,
    "address_id": 42391,
    "address_salutation": "",
    "address_name": "’T ZWALUWNEST VOF",
    "address_address": "WESTKAPELSE STEENWEG 36",
    "address_addressline2": "",
    "address_latitude": 51.274790000000003,
    "address_longitude": 3.22657,
    "address_countrycode": "BE",
    "address_zipcode": "8380",
    "address_city": "BRUGGE",
    "address_state": "West-Vlaanderen",
    "address_telephone1": "",
    "address_telephone2": "",
    "address_fax": "",
    "address_gsm": "",
    "address_email": "",
    "contact_id": 42391,
    "contact_salutation": "",
    "contact_name": "",
    "project_id": 383,
    "project_pnr": 20180160,
    "project_unr": 208,
    "project_name": "test fases archisoft 2",
    "yourreference": "",
    "be_werkplaatsnr30bis": "",
    "ts_lastupdate": "2026–02–22 11:50:10"
  }
]
}

/LoanedMachines/{id}/image

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/4/image

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bPffWxflUIzSfGlGmfzRqUtrfOmAGfGjfUDbzGUUADDfPmjtPP

Success gives statuscode 200 And the following result

image

/LoanedMachines/{id}/note_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/4/note_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lmVfWxfPUkzSfjfkDfzRqUGIfDrVkGVPftIkzOPAODfIPDVDfI

Success gives statuscode 200 And the following result

<HTML><BODY> <DIV STYLE="text-align: left;"></DIV> </BODY></HTML>

/LoanedMachines/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/4/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lmVfWxfPUkzSfjfkDfzRqUGIfDrVkGVPftIkzOPAODfIPDVDfI

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    
  }
]
}

/LoanedMachines/{id}/note_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/4/note_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lmVfWxfPUkzSfjfkDfzRqUGIfDrVkGVPftIkzOPAODfIPDVDfI

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Times New Roman;}}{\colortbl ;\red0\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0}

/LoanedMachines/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/LoanedMachines/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "date_from",
    "type_id": 3,
    "type_name": "tpDate",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "date_to",
    "type_id": 6,
    "type_name": "tpDateNullString",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]